## org.eclipse.datatools.sqltools.core
Class DatabaseVendorDefinitionId.VersionComparator

    java.lang.Object
      org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId.VersionComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  DatabaseVendorDefinitionId

public static class DatabaseVendorDefinitionId.VersionComparator
extends java.lang.Object
implements java.util.Comparator

A string comparator which is aware of version number

Constructor Summary
`DatabaseVendorDefinitionId.VersionComparator()`

Method Summary
`int` `compare(java.lang.Object left, java.lang.Object right)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DatabaseVendorDefinitionId.VersionComparator

    public DatabaseVendorDefinitionId.VersionComparator()

Method Detail

### compare

    public int compare(java.lang.Object left,
                       java.lang.Object right)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.